]> git.sur5r.net Git - openldap/commitdiff
Switch the default backend to BDB.
authorKurt Zeilenga <kurt@openldap.org>
Tue, 15 Jan 2002 17:26:44 +0000 (17:26 +0000)
committerKurt Zeilenga <kurt@openldap.org>
Tue, 15 Jan 2002 17:26:44 +0000 (17:26 +0000)
20 files changed:
configure
configure.in
tests/Makefile.in
tests/scripts/all
tests/scripts/defines.sh
tests/scripts/start-master
tests/scripts/start-master-nolog
tests/scripts/test000-rootdse
tests/scripts/test001-slapadd
tests/scripts/test002-populate
tests/scripts/test003-search
tests/scripts/test004-modify
tests/scripts/test005-modrdn
tests/scripts/test006-acls
tests/scripts/test007-replication
tests/scripts/test008-concurrency
tests/scripts/test009-referral
tests/scripts/test010-passwd
tests/scripts/test011-subtree-repl
tests/scripts/test012-glue

index 4e1bcba4ce8a2c841fbbb5c5b0e8ff99e10f2438..86526947cf8deec7fdfff809b776c08b603dcdc1 100755 (executable)
--- a/configure
+++ b/configure
@@ -1,6 +1,6 @@
 #! /bin/sh
 # $OpenLDAP$
-# from OpenLDAP: pkg/ldap/configure.in,v 1.387 2002/01/03 15:24:54 hyc Exp  
+# from OpenLDAP: pkg/ldap/configure.in,v 1.388 2002/01/04 20:17:28 kurt Exp  
 
 # Copyright 1998-2002 The OpenLDAP Foundation.  All Rights Reserved.
 # 
@@ -90,7 +90,7 @@ ac_help="$ac_help
 ac_help="$ac_help
     --enable-wrappers    enable tcp wrapper support [no]"
 ac_help="$ac_help
-    --enable-bdb         enable Berkeley DB backend [no]"
+    --enable-bdb         enable Berkeley DB backend [yes]"
 ac_help="$ac_help
     --with-bdb-module     module type [static]"
 ac_help="$ac_help
@@ -102,7 +102,7 @@ ac_help="$ac_help
 ac_help="$ac_help
     --with-ldap-module   module type [static]"
 ac_help="$ac_help
-    --enable-ldbm        enable ldbm backend [yes]"
+    --enable-ldbm        enable ldbm backend [no]"
 ac_help="$ac_help
     --with-ldbm-api       with LDBM API [auto]"
 ac_help="$ac_help
@@ -1844,7 +1844,7 @@ if test "${enable_bdb+set}" = set; then
        ol_enable_bdb="$ol_arg"
 
 else
-       ol_enable_bdb="no"
+       ol_enable_bdb="yes"
 fi
 # end --enable-bdb
 # OpenLDAP --with-bdb_module
@@ -1967,7 +1967,7 @@ if test "${enable_ldbm+set}" = set; then
        ol_enable_ldbm="$ol_arg"
 
 else
-       ol_enable_ldbm="yes"
+       ol_enable_ldbm="no"
 fi
 # end --enable-ldbm
 # OpenLDAP --with-ldbm_api
@@ -14037,8 +14037,8 @@ EOF
 fi
 
 if test $ol_enable_bdb = yes -a $ol_link_ldbm != berkeley ; then
-       { echo "configure: error: BerkeleyDB not availabl" 1>&2; exit 1; }
-elif test $ol_enable_bdb != no -a $ol_link_ldbm != no ; then
+       { echo "configure: error: BerkeleyDB not available" 1>&2; exit 1; }
+elif test $ol_enable_bdb != no -a $ol_link_ldbm != berkeley ; then
        ol_enable_bdb=yes
 fi
 
index 6d9c243df4d5e681ccce54557a0556cca8277141..c054de296aad2f433eb80e5a8073eaad21e8cd8e 100644 (file)
@@ -164,7 +164,7 @@ OL_ARG_ENABLE(slp, [    --enable-slp          enable SLPv2 support], no)dnl
 OL_ARG_ENABLE(wrappers,[    --enable-wrappers    enable tcp wrapper support], no)dnl
 
 dnl SLAPD Backend options
-OL_ARG_ENABLE(bdb,[    --enable-bdb      enable Berkeley DB backend], no)dnl
+OL_ARG_ENABLE(bdb,[    --enable-bdb      enable Berkeley DB backend], yes)dnl
 OL_ARG_WITH(bdb_module,[    --with-bdb-module     module type], static,
        [static dynamic])
 OL_ARG_ENABLE(dnssrv,[    --enable-dnssrv        enable dnssrv backend], no)dnl
@@ -173,7 +173,7 @@ OL_ARG_WITH(dnssrv_module,[    --with-dnssrv-module  module type], static,
 OL_ARG_ENABLE(ldap,[    --enable-ldap    enable ldap backend], no)dnl
 OL_ARG_WITH(ldap_module,[    --with-ldap-module          module type], static,
        [static dynamic])
-OL_ARG_ENABLE(ldbm,[    --enable-ldbm    enable ldbm backend], yes)dnl
+OL_ARG_ENABLE(ldbm,[    --enable-ldbm    enable ldbm backend], no)dnl
 OL_ARG_WITH(ldbm_api,[    --with-ldbm-api       with LDBM API], auto,
        [auto berkeley bcompat mdbm gdbm])
 OL_ARG_WITH(ldbm_module,[    --with-ldbm-module          module type], static,
@@ -1879,8 +1879,8 @@ if test $ol_with_ldbm_api = auto \
 fi
 
 if test $ol_enable_bdb = yes -a $ol_link_ldbm != berkeley ; then
-       AC_MSG_ERROR(BerkeleyDB not availabl)
-elif test $ol_enable_bdb != no -a $ol_link_ldbm != no ; then
+       AC_MSG_ERROR(BerkeleyDB not available)
+elif test $ol_enable_bdb != no -a $ol_link_ldbm != berkeley ; then
        ol_enable_bdb=yes
 fi
 
index 9fd04e2085e74c28b8e1ca14b2518ab628c288c9..d2212ab59a27e74f013431ecca8a2bedc31fa459 100644 (file)
@@ -8,7 +8,7 @@ BUILD_LDBM=@BUILD_LDBM@
 BUILD_BDB=@BUILD_BDB@
 
 test: tests
-tests: ldbm
+tests: bdb ldbm
 
 bdb: test-bdb
 test-bdb:      FORCE
index bbbcad5c59ca86ae53fcc3d45aeec438e6e1af8f..6a8bff6bf8203a9ae61549cdda395d83d5b86f26 100755 (executable)
@@ -15,7 +15,7 @@ fi
 echo ">>>>> Test Directory: $SRCDIR"
 
 if test $# -eq 0 ; then
-       BACKEND=ldbm
+       BACKEND=bdb
 else
        BACKEND=$1; shift
 fi
index db86834adedd199e354bc18e7ead8652dfc0ea85..96a7c13d4f95c151fbbea2825eabc9e730178e66 100755 (executable)
@@ -39,7 +39,9 @@ SLAPADD="../servers/slapd/tools/slapadd $LDAP_VERBOSE"
 SLAPCAT="../servers/slapd/tools/slapcat $LDAP_VERBOSE"
 SLAPINDEX="../servers/slapd/tools/slapindex $LDAP_VERBOSE"
 
-CMP="diff -i"
+unset DIFF_OPTIONS
+DIFF="diff -iu"
+CMP="diff -ic"
 CMPOUT=/dev/null
 SLAPD="../servers/slapd/slapd -s0"
 SLURPD=../servers/slurpd/slurpd
@@ -62,13 +64,13 @@ LDIFBASE=$DATADIR/test-base.ldif
 LDIFPASSWD=$DATADIR/passwd.ldif
 LDIFPASSWDOUT=$DATADIR/passwd-out.ldif
 MONITOR=""
-BASEDN="o=University of Michigan, c=US"
-MANAGERDN="cn=Manager, o=University of Michigan, c=US"
-UPDATEDN="cn=Replica, o=University of Michigan, c=US"
+BASEDN="o=University of Michigan,c=US"
+MANAGERDN="cn=Manager,o=University of Michigan,c=US"
+UPDATEDN="cn=Replica,o=University of Michigan,c=US"
 PASSWD=secret
-BABSDN="cn=Barbara Jensen, ou=Information Technology Division, ou=People, o=University of Michigan , c = US "
-BJORNSDN="cn=Bjorn Jensen, ou=Information Technology Division, ou=People, o=University of Michigan, c=US"
-JAJDN="cn=James A Jones 1, ou=Alumni Association, ou=People, o=University of Michigan, c=US"
+BABSDN="cn=Barbara Jensen,ou=Information Technology Division,ou=People,o=University of Michigan,c=US"
+BJORNSDN="cn=Bjorn Jensen,ou=Information Technology Division,ou=People,o=University of Michigan,c=US"
+JAJDN="cn=James A Jones 1,ou=Alumni Association,ou=People,o=University of Michigan,c=US"
 MASTERLOG=$DBDIR/master.log
 SLAVELOG=$DBDIR/slave.log
 SLURPLOG=$DBDIR/slurp.log
index cbea4a2f6a077970ed5ee0c882f651d97a5b097c..f527c432b897dabf2a4624c99328e65f6482fc59 100755 (executable)
@@ -5,7 +5,7 @@ SRCDIR="."
 if test $# -ge 1 ; then
        SRCDIR=$1; shift
 fi
-BACKEND=ldbm
+BACKEND=bdb
 if test $# -ge 1 ; then
        BACKEND=$1; shift
 fi
index b075c38f77536f0f8919dd12075d046cbf3b8ae6..60553216076ba2320611024a3098d4b818dd9dfb 100755 (executable)
@@ -5,7 +5,7 @@ SRCDIR="."
 if test $# -ge 1 ; then
        SRCDIR=$1; shift
 fi
-BACKEND=ldbm
+BACKEND=bdb
 if test $# -ge 1 ; then
        BACKEND=$1; shift
 fi
index a69fa8092dd3e38763819eed12f7ccd4f8d57720..205c1b5440fc00689afd4c6317553ee3a8f0c273 100755 (executable)
@@ -5,7 +5,7 @@ SRCDIR="."
 if test $# -ge 1 ; then
        SRCDIR=$1; shift
 fi
-BACKEND=ldbm
+BACKEND=bdb
 if test $# -ge 1 ; then
        BACKEND=$1; shift
 fi
index 9d3af2d82768530ec8976bf0262acbdc01d6fbbd..a839be1c4f060712f9915cb0a3ed617e310433bd 100755 (executable)
@@ -5,7 +5,7 @@ SRCDIR="."
 if test $# -ge 1 ; then
        SRCDIR=$1; shift
 fi
-BACKEND=ldbm
+BACKEND=bdb
 if test $# -ge 1 ; then
        BACKEND=$1; shift
 fi
@@ -68,7 +68,7 @@ $CMP $SEARCHFLT $LDIFFLT > $CMPOUT
 if test $? != 0 ; then
        echo "comparison failed - database was not created correctly"
        echo $SEARCHFLT $LDIFFLT
-       diff -iu $SEARCHFLT $LDIFFLT
+       $DIFF $SEARCHFLT $LDIFFLT
        exit 1
 fi
 
index d069e075361f064f151a33dc041d54b7264e5f58..9318b65205bcb30caf6da1e285c82a798db6fd7a 100755 (executable)
@@ -5,7 +5,7 @@ SRCDIR="."
 if test $# -ge 1 ; then
        SRCDIR=$1; shift
 fi
-BACKEND=ldbm
+BACKEND=bdb
 if test $# -ge 1 ; then
        BACKEND=$1; shift
 fi
index c73254a863519d86324f84ce9dd78162afd0680a..28152ee4ad0160e5aad6a989ecf6da99b163cd98 100755 (executable)
@@ -5,7 +5,7 @@ SRCDIR="."
 if test $# -ge 1 ; then
        SRCDIR=$1; shift
 fi
-BACKEND=ldbm
+BACKEND=bdb
 if test $# -ge 1 ; then
        BACKEND=$1; shift
 fi
index 1eec603db6fc784b97e1e869fd52fa3f6f4915ce..2e110dd7679abfc5536a037de7855e64dc462881 100755 (executable)
@@ -5,7 +5,7 @@ SRCDIR="."
 if test $# -ge 1 ; then
        SRCDIR=$1; shift
 fi
-BACKEND=ldbm
+BACKEND=bdb
 if test $# -ge 1 ; then
        BACKEND=$1; shift
 fi
index f2ee443f402ef7a206e861dc35279576cff93656..66a1b9f271ee9e9abbbff8e8a521c803e5d98889 100755 (executable)
@@ -5,7 +5,7 @@ SRCDIR="."
 if test $# -ge 1 ; then
        SRCDIR=$1; shift
 fi
-BACKEND=ldbm
+BACKEND=bdb
 if test $# -ge 1 ; then
        BACKEND=$1; shift
 fi
index 5a97ccc53168471e14f3e15dec11c729c8bea7da..c7e1f1869773ffd1d55961afb6d7539bf62e3731 100755 (executable)
@@ -5,7 +5,7 @@ SRCDIR="."
 if test $# -ge 1 ; then
        SRCDIR=$1; shift
 fi
-BACKEND=ldbm
+BACKEND=bdb
 if test $# -ge 1 ; then
        BACKEND=$1; shift
 fi
index 22a8aab68c8f2ba39457e17246f48bfceb777c4e..000cb22331b23292bf18943a70778e5f29c2cce5 100755 (executable)
@@ -5,7 +5,7 @@ SRCDIR="."
 if test $# -ge 1 ; then
        SRCDIR=$1; shift
 fi
-BACKEND=ldbm
+BACKEND=bdb
 if test $# -ge 1 ; then
        BACKEND=$1; shift
 fi
index 24f1722901293a40804a40ad1bab9bf8c2b2c867..a4847f0527ef8fb14671bb83f8f0dc4efe2d06a9 100755 (executable)
@@ -5,7 +5,7 @@ SRCDIR="."
 if test $# -ge 1 ; then
        SRCDIR=$1; shift
 fi
-BACKEND=ldbm
+BACKEND=bdb
 if test $# -ge 1 ; then
        BACKEND=$1; shift
 fi
index 09b47df8775a610cb1804c8ebfded8dfd2e8e7ed..7f93c039de24f3eddb43b5e2075bc17f69cb06aa 100755 (executable)
@@ -5,7 +5,7 @@ SRCDIR="."
 if test $# -ge 1 ; then
        SRCDIR=$1; shift
 fi
-BACKEND=ldbm
+BACKEND=bdb
 if test $# -ge 1 ; then
        BACKEND=$1; shift
 fi
index 080063c709e3c7dede8b0b2ca6ad791ba36dec5b..c8753983cade73373a17e538338f8ce057cdc39e 100755 (executable)
@@ -5,7 +5,7 @@ SRCDIR="."
 if test $# -ge 1 ; then
        SRCDIR=$1; shift
 fi
-BACKEND=ldbm
+BACKEND=bdb
 if test $# -ge 1 ; then
        BACKEND=$1; shift
 fi
index 972f0abec48b0000c3d45522b528159765704c0f..e7f9d8e8795d1a3bd5a64020ad2feee76bcfa05a 100755 (executable)
@@ -5,7 +5,7 @@ SRCDIR="."
 if test $# -ge 1 ; then
        SRCDIR=$1; shift
 fi
-BACKEND=ldbm
+BACKEND=bdb
 if test $# -ge 1 ; then
        BACKEND=$1; shift
 fi
index 890877367481effec3463548868ddb6316cec8e9..b6bbcb7276ca6f3983ced555d3e3bb720f8f69c5 100755 (executable)
@@ -69,7 +69,7 @@ $CMP $SEARCHFLT $LDIFFLT > $CMPOUT
 if test $? != 0 ; then
        echo "comparison failed - database was not created correctly"
        echo $SEARCHFLT $LDIFFLT
-       diff -iu $SEARCHFLT $LDIFFLT
+       $DIFF $SEARCHFLT $LDIFFLT
        exit 1
 fi